nem.jackknife {nem} | R Documentation

## Jackknife for nested effect models

### Description

Assesses the statistical stability of a network via a jackknife procedure: Each S-gene is left out once and the network reconstructed on the remaining ones. The relative frequency of each edge to appear in n-1 jackknife samples is returned.

### Usage

    nem.jackknife(D, thresh=0.5, inference="nem.greedy",models=NULL,control=set.default.parameters(unique(colnames(D))), verbose=TRUE)

    ## S3 method for class 'nem.jackknife':
    print(x, ...)

### Arguments

`D` | data matrix with experiments in the columns (binary or continious)
`thresh` | only edges appearing with a higher frequency than "thresh" are returned
`inference` | `search` to use exhaustive enumeration, `triples` for triple-based inference, `pairwise` for the pairwise heuristic, `ModuleNetwork` for the module based inference, `nem.greedy` for greedy hillclimbing, `nem.greedyMAP` for alternating MAP optimization using log odds or log p-value densities
`models` | a list of adjacency matrices for model search. If NULL, an exhaustive enumeration of all possible models is performed.
`control` | list of parameters: see `set.default.parameters`
`verbose` | do you want to see progression statements? Default: TRUE
`x` | nem object
`...` | other arguments to pass

### Details

Calls `nem` or `nemModelSelection` internally, depending on whether or not parameter lambda is a vector and parameter Pm != NULL.

### Value

nem object with edge weights being the jackknife probabilities

### Author(s)

Holger Froehlich

### See Also

`nem.bootstrap`, `nem.consensus`, `nem`, `nemModelSelection`

### Examples

    ## Not run:
       data("BoutrosRNAi2002")
       D <- BoutrosRNAiDiscrete[,9:16]
       nem.jackknife(D, control=set.default.parameters(unique(colnames(D)), para=c(0.13,0.05)))
    ## End(Not run)

[Package nem version 2.8.0 Index]